var waitingImage = '<img src="'+path+'/admin/img/progress.gif">';

var queuedManager = $.manageAjax.create('queued', { 
	queue: true,  
	cacheResponse: false,
	maxRequests: 5
}); 


function processThumbs(width,height,gd_version) {
	$('tr.nothumb').each(function() {
		var file=$(this).find('td.filepath').text();
		$(this).find('td.thumbpic').html(waitingImage);
		var td=this;
		queuedManager.add({
			type: 'GET', 
			url: 'ws.php', 
			data: {method: 'pwg.thumbnail.create',picture:file,format:'json',width: width,height: height, gd_version: gd_version},
			dataType: 'json',
			success: (function(row) { return function(data) {
					if (data.stat =='ok') {
							$(row).find('td.thumbpic').html('<img src="'+data.result.tn_file+'"/>');
							$(row).find('td.thumbdim').html(""+data.result.tn_width+"X"+data.result.tn_height);
							$(row).find('td.thumbgentime').html(""+data.result.tn_time);
							$(row).find('td.thumbsize').html(""+data.result.tn_size);
							$(row).removeClass("nothumb");
						} else {
							$(row).find('td.thumbpic').html('#ERR#'+data.err+"# : "+data.message);
							$(row).removeClass("nothumb");
							$(row).addClass("error");
						}
					};})(td)
			});
	});
}

$(document).ready(function(){
$('input#proceed').click (function () {
	var width = $('#width')[0].value;
	var height = $('#height')[0].value;
	var gd_version=$("input[@name='gd']:checked").val();
	$("input:not(.nodisable)").attr("disabled",true);

	
	processThumbs(width,height,gd_version);
});

$('input#cancel').click (function () {
	queuedManager.clear();
	queuedManager.abort();
	$("input:not(.nodisable)").attr("disabled",false);
	$('tr.nothumb td.thumbpic').html("&nbsp;");
	
});
$('input#clear').click (function () {
	$('tr.item:not(.nothumb)').remove();
});
});